Package org.springframework.scheduling.annotation

# Interface AsyncConfigurer

All Known Implementing Classes:
  `AsyncConfigurerSupport`

public interface AsyncConfigurer
Interface to be implemented for customizing the `Executor` instance used when processing async method invocations or the `AsyncUncaughtExceptionHandler` instance used to process exceptions thrown from async methods with a `void` return type.

Typically implemented by @`Configuration` classes annotated with @`EnableAsync`. See the @`EnableAsync` javadoc for usage examples.

NOTE: An `AsyncConfigurer` will get initialized early. Do not inject common dependencies into autowired fields directly; instead, consider declaring a lazy `ObjectProvider` for those.

Since:
  3.1
Author:
  Chris Beams, Stephane Nicoll
See Also:
  - `AbstractAsyncConfiguration`
  - `EnableAsync`

## Method Summary

Modifier and Type
Method
Description
`default Executor`
`getAsyncExecutor()`
The `Executor` instance to be used when processing async method invocations.
`default org.springframework.aop.interceptor.AsyncUncaughtExceptionHandler`
`getAsyncUncaughtExceptionHandler()`
The `AsyncUncaughtExceptionHandler` instance to be used when an exception is thrown during an asynchronous method execution with `void` return type.

## Method Details

### getAsyncExecutor

@Nullable default Executor getAsyncExecutor()
The `Executor` instance to be used when processing async method invocations.

### getAsyncUncaughtExceptionHandler

@Nullable default org.springframework.aop.interceptor.AsyncUncaughtExceptionHandler getAsyncUncaughtExceptionHandler()
The `AsyncUncaughtExceptionHandler` instance to be used when an exception is thrown during an asynchronous method execution with `void` return type.